%define		oversion	20120128

Name:		AlephOne
Version:	1.0.1
Release:	%mkrel 1
Summary:	An engine for 3D first-person shooter games Marathon 1, 2 and Infinity
License:	GPL
Group:		Games/Arcade
Source0:	%{name}-%{oversion}.tar.bz2
Source1:	marathon.png
URL:		http://sourceforge.net/projects/marathon/
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	boost-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	smpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	zziplib-devel
Provides:	alephone = %{version}-%{release}

%description
Aleph One is an engine to run Marathon, Marathon 2 and Marathon Infinity games.

Packages with game data are:
- marathon
- marathon2
- marathon-infinity

%prep
%setup -q -n %{name}-%{oversion}

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--enable-opengl
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

%clean
%__rm -rf %{buildroot}

%files
%doc AUTHORS COPYING README docs/MML.html
%{_gamesbindir}/alephone
%{_gamesdatadir}/%{name}
%{_datadir}/pixmaps/marathon.png
%{_mandir}/man6/*.6.*



%changelog
* Mon Apr 02 2012 Andrey Bondrov <abondrov@mandriva.org> 1.0.1-1mdv2012.0
+ Revision: 788614
- Update BuildRequires
- New version 1.0.1 (aka 20120128), spec rewrite

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.20.2-0.20080913.2mdv2010.0
+ Revision: 436636
- rebuild

* Mon Dec 08 2008 Zombie Ryushu <ryushu@mandriva.org> 0.20.2-0.20080913.1mdv2009.1
+ Revision: 311823
- Version bump to 0.20.2
- Version bump to 0.20.2
- Version bump to 0.20.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.19.0-0.20071103.1mdv2008.1
+ Revision: 160200
- New version 0.19.20071103

  + Thierry Vignaud <tv@mandriva.org>
    - fix mesaglu-devel BR

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.13.0-0.20051119.4mdv2008.1
+ Revision: 132321
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request


* Sat Oct 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.13.0-0.20051119.4mdv2007.0
+ Revision: 71543
- Fix BuildRequires for x86_64
- Use mkrel
- Add patch0: Fix Build
- import AlephOne-0.13.0-0.20051119.3mdk

* Sat Apr 15 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.13.0-0.20051119.3mdk
- Add BuildRequires

* Wed Mar 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.13.0-0.20051119.2mdk
- Add BuildRequires

* Thu Jan 26 2006 Lenny Cartier <lenny@mandriva.com> 0.13.0-0.20051119.1mdk
- update this outdated package (nearly 3 years... ) to 20051119, test...

